Open CASCADE Technology: IntImpParGen_ImpTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntImpParGen_ImpTool Class Reference

Template class for an implicit curve. More...

`#include <IntImpParGen_ImpTool.hxx>`

## Public Member Functions
gp_Pnt2d | Value (const Standard_Real U) const
void | D1 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T) const
void | D2 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T, gp_Vec2d &N) const
Standard_Real | Distance (const gp_Pnt2d &P) const
| Computes the value of the signed distance between the point P and the implicit curve. More...
gp_Vec2d | GradDistance (const gp_Pnt2d &P) const
| Computes the Gradient of the Signed Distance between a point and the implicit curve, at the point P. More...
Standard_Real | FindParameter (const gp_Pnt2d &P) const
| Returns the parameter U of the point on the implicit curve corresponding to the point P. The correspondance between P and the point P(U) on the implicit curve must be coherent with the way of determination of the signed distance. More...

## Detailed Description

Template class for an implicit curve.

## Member Function Documentation

void IntImpParGen_ImpTool::D1 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T
| ) |  | const

void IntImpParGen_ImpTool::D2 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T,
|  | gp_Vec2d & | N
| ) |  | const

Standard_Real IntImpParGen_ImpTool::Distance | ( | const gp_Pnt2d & | P | ) | const

Computes the value of the signed distance between the point P and the implicit curve.

Standard_Real IntImpParGen_ImpTool::FindParameter | ( | const gp_Pnt2d & | P | ) | const

Returns the parameter U of the point on the implicit curve corresponding to the point P. The correspondance between P and the point P(U) on the implicit curve must be coherent with the way of determination of the signed distance.

gp_Vec2d IntImpParGen_ImpTool::GradDistance | ( | const gp_Pnt2d & | P | ) | const

Computes the Gradient of the Signed Distance between a point and the implicit curve, at the point P.

gp_Pnt2d IntImpParGen_ImpTool::Value | ( | const Standard_Real | U | ) | const

The documentation for this class was generated from the following file:

- IntImpParGen_ImpTool.hxx